MozillaZine

Firebird needs too recent libraries

Discussion of bugs in Mozilla Thunderbird
beanladen
 
Posts: 1
Joined: June 10th, 2003, 10:16 am

Post Posted June 10th, 2003, 10:37 am

This seems to be a general problem here, as you can see in various bug reports.
Here is my list on a typical (mocked up with newer versions of some packages) Suse 6.2 with linux 2.4:
libxpcom.so => not found
libplds4.so => not found
libplc4.so => not found
libnspr4.so => not found
libstdc++.so.5 => not found
libgcc_s.so.1 => not found
libxpcom.so => not found
libplds4.so => not found
libplc4.so => not found
libnspr4.so => not found
libgtk-x11-2.0.so.0 => not found
libgdk-x11-2.0.so.0 => not found
libatk-1.0.so.0 => not found
libgdk_pixbuf-2.0.so.0 => not found
libpangoxft-1.0.so.0 => not found
libpangox-1.0.so.0 => not found
libpango-1.0.so.0 => not found
libgobject-2.0.so.0 => not found
libgmodule-2.0.so.0 => not found
libglib-2.0.so.0 => not found
libstdc++.so.5 => not found
libgcc_s.so.1 => not found
libgtk-x11-2.0.so.0 => not found
libgdk-x11-2.0.so.0 => not found
libatk-1.0.so.0 => not found
libgdk_pixbuf-2.0.so.0 => not found
libpangoxft-1.0.so.0 => not found
libpangox-1.0.so.0 => not found
libpango-1.0.so.0 => not found
libgobject-2.0.so.0 => not found
libgmodule-2.0.so.0 => not found
libglib-2.0.so.0 => not found
libstdc++.so.5 => not found
libgcc_s.so.1 => not found
libmozjs.so => not found
libxpcom.so => not found
libplds4.so => not found
libplc4.so => not found
libnspr4.so => not found
libstdc++.so.5 => not found
libgcc_s.so.1 => not found
./libldap50.so: /lib/libc.so.6: version `GLIBC_2.3' not found (required by ./libldap50.so)
./libmozjs.so: /lib/libc.so.6: version `GLIBC_2.3' not found (required by ./libmozjs.so)

A lot of them can in principle be found in the mozilla1.4 directory, but as Thunderbird is going to be a standalone tool all those have to be
provided. You should be really reconsider if all of those newest versions of libraries are really needed (Mozilla Suite runs on my old libraries
without problems, so why shouldn't Thunderbird ?) , and for what purpose are the libgtk-x11-... needed ?

So my view of the current mess is that you are simply building on a very fresh system and therefore those dependencies arise unnecessarily.
Maybe building on one of the machines where the standard Mozilla Suite is build will reveal what is really needed and what can be wiped out.
In general, builds should make minimal, not maximal, demands for additional software, even when some bug workarounds are needed; this habit
will guarantee acceptance by a broad community (compare with the current mess in Solaris builds of the Mozilla Suite, this branch is effectively
unusable or dead due to nearly unfullfillable demands on library versions, OS patches, and additional packages).

Return to Thunderbird Bugs


Who is online

Users browsing this forum: No registered users and 1 guest